Skip to content
Developer

StudioTraining / Catalogue

Studio training4 EndpointsCRM / StudioTraining / Catalogue

The available catalogue sources

GET/api/crm/studio_training/catalogue_source

Responses

200List of key, name, description, website_url, license, languages, imported_countarray<object>

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/catalogue_source \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {}
]

Browse the exercises of a source to select the ones to import

GET/api/crm/studio_training/catalogue_source/{sourceKey}/exercise

Path parameters

sourceKeyrequiredstring

Query parameters

searchstringPart of the name
musclestringBody marker key of a muscle group
equipmentstringPart of an equipment name
exerciseTypestringstrength, cardio, mobility, plyometrics
onlyNewbooleanHide exercises that were imported before
refreshbooleanReload the catalogue from the source instead of the daily cache
pageintegerPage, starting with 1
pageSizeintegerPage size, default 50, at most 200

Responses

200source, total, page, page_size, facets, exercisesobject

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/catalogue_source/42/exercise \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{}

Import the selected exercises of a source as presets (review status pending)

POST/api/crm/studio_training/catalogue_source/{sourceKey}/import

Path parameters

sourceKeyrequiredstring

Request body application/json

object

Responses

200created, updated, skipped, images, errors, preset_idsobject

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/catalogue_source/42/import \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{}

Create the missing standard muscle groups of the body diagram

POST/api/crm/studio_training/muscle_group_defaults

Responses

200created, existing (body marker keys)object

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/muscle_group_defaults \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{}